Subject: Re: Test Case for Job Control Problem
From: Earnie Boyd <[email-masked]>
To: Michael Bresnahan <[email-masked]>
Cc: [email-masked]
Date: Tue, 7 Nov 2000 14:22:45 -0800 (PST)

Your problem should be fixed in 1.1.5-4.

--- Michael Bresnahan <[email-masked]> wrote:
> It is controlling the process it seems, because Control-C causes the process
> to
> exit.  However, when I press Control-C the second time, there is no process
> in
> the foreground and thus I would not expect anything to happen, but instead it
> kills the second child make process.  Everything, works out well in the end -
> it
> just doesn't feel right.
> 
> Mike Bresnahan
> ----
> Earnie Boyd wrote:
> 
> > --- Michael Bresnahan <[email-masked]> wrote:
> > >
> > > Oddly though, when I hit Control-C the first time I am returned to the
> bash
> > > prompt and 'jobs' and 'ps' report no make process, however hitting
> > > Control-C again causes the current make process to abort.  What's up with
> > > that?
> > >
> >
> > Cygwin cannot control the subprocess of non-cygwin processes.
> >
> > Cheers,
> >
> > =====
> > Earnie Boyd
> > mailto:[email-masked]
> >
> > ---         <http://earniesystems.safeshopper.com>         ---
> > --- Cygwin: POSIX on Windows <http://gw32.freeyellow.com/> ---
> > ---   Minimalist GNU for Windows <http://www.mingw.org/>   ---
> >
> > __________________________________________________
> > Do You Yahoo!?
> > Thousands of Stores.  Millions of Products.  All in one Place.
> > http://shopping.yahoo.com/
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> 

__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one Place.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]